aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorPatrick Spek <p.spek@tyil.nl>2019-10-31 12:01:34 +0100
committerPatrick Spek <p.spek@tyil.nl>2019-10-31 12:01:34 +0100
commit5511989854671aa28628a43cf723603211297241 (patch)
tree52737900faed6502e842888682267bbcac765119 /bin
parentc819cba104e6eb22ec55a633a8b9c914e2733584 (diff)
Use a work directory
Diffstat (limited to 'bin')
-rwxr-xr-xbin/mkrelease.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/mkrelease.sh b/bin/mkrelease.sh
new file mode 100755
index 0000000..7c712e0
--- /dev/null
+++ b/bin/mkrelease.sh
@@ -0,0 +1,23 @@
+#! /usr/bin/env sh
+
+readonly BASEDIR=$(CDPATH="" cd -- "$(dirname -- "$0")/.." && pwd -P)
+
+main()
+{
+ if [ -z "$1" ]
+ then
+ usage
+ exit 1
+ fi
+
+ cd -- "$BASEDIR"
+ make -f tools/star/Makefile all VERSION="$1"
+ make -f tools/star/Makefile release VERSION="$1"
+}
+
+usage()
+{
+ print "NYI"
+}
+
+main "$@"